For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead relationships
        • GETGet all lead sources
        • GETGet lead source by ID
        • POSTCreate Lead: RealPage Partner Exchange
        • PUTUpdate Lead: RealPage Partner Exchange
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage App PartnerLeads

Get all leads

GET
/v1/leads/
GET
/v1/leads/
$curl https://api.propexo.com/v1/leads/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_created_at": "2024-03-15T00:00:00.000Z",
18 "x_guestcard_id": "9288",
19 "x_id": "5118",
20 "x_leasing_agent_id": "29",
21 "x_property_id": "1633544",
22 "x_unit_id_preferred": null,
23 "x_updated_at": null,
24 "x_lead_source_id": "LS12345",
25 "address_1": "123 Main St",
26 "address_2": "Apt 4B",
27 "city": "Boston",
28 "country": "US",
29 "custom_data": {},
30 "date_of_birth": null,
31 "desired_amenities": null,
32 "desired_floor_plan_id": "Z000000050",
33 "desired_floor_plan_name": null,
34 "desired_lease_term_in_months": "12",
35 "desired_max_rent_in_cents": 325000,
36 "desired_max_square_ft": null,
37 "desired_min_rent_in_cents": 300000,
38 "desired_min_square_ft": null,
39 "desired_num_bathrooms": null,
40 "desired_num_bedrooms": null,
41 "desired_unit_number": null,
42 "desired_unit_type": null,
43 "email_1": "sally.jones@example.com",
44 "email_2": null,
45 "first_name": "Sally",
46 "ils": null,
47 "last_name": "Jones",
48 "lead_source": null,
49 "leasing_agent": null,
50 "middle_name": "Gail",
51 "notes": null,
52 "number_of_occupants": 1,
53 "pets": [
54 {
55 "id": "clwktsp9v000008l31iv218hn",
56 "created_at": "2024-03-21T15:38:08.337Z",
57 "updated_at": "2024-03-22T10:59:45.119Z",
58 "last_seen": "2024-03-22T10:59:45.119Z",
59 "x_id": "PET123456",
60 "age_in_years": 3.5,
61 "breed": "Golden Retriever",
62 "color": "Golden",
63 "gender_raw": "Female",
64 "is_fixed": true,
65 "is_service_animal": false,
66 "name": "Bella",
67 "notes": "Very friendly",
68 "type": "Dog",
69 "weight_in_pounds": 65,
70 "custom_data": {}
71 }
72 ],
73 "phone_1_type": "MOBILE",
74 "phone_1": "(617) 555-1234",
75 "phone_2_type": "HOME",
76 "phone_2": "(617) 555-5678",
77 "state": "MA",
78 "status": null,
79 "target_move_in_date": "2024-04-15T00:00:00.000Z",
80 "zip": "02116",
81 "property_id": "clwi5xiix000008l6ctdgafyh",
82 "lead_source_id": null,
83 "unit_id_preferred": null,
84 "integration_id": "clwh5u07w000508me66sfh3um",
85 "integration_vendor": "REALPAGE_RPX",
86 "screenings": [
87 {
88 "id": "clwktsp9v000008l31iv218hn",
89 "created_at": "2024-03-21T15:38:08.337Z",
90 "last_seen": "2024-03-22T10:59:45.119Z",
91 "x_id": "c5ca182e295028100d8abbcb1183197eb9455230b5fa78f4b03bc68199c0e17b",
92 "status_raw": "Not screened",
93 "screening_date": null
94 }
95 ],
96 "x_unit_id": null,
97 "pet_details": null
98 }
99 ]
100}
Get all leads
Was this page helpful?
Previous

Get a lead by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external lead id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

x_unit_idstringOptional
The external unit id
email_1stringOptional
Lead email address
email_2stringOptional
Lead email address alternate
property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the lead.
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error